> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/data-objects-and-statuses/transaction-objects.md).

# Transaction Objects

### TransactionV2Object

<table><thead><tr><th width="276">            Parameter</th><th width="141.33333333333331" align="center">Type</th><th>               Description</th></tr></thead><tbody><tr><td><code>data</code></td><td align="center">array | object</td><td>Returns a <a href="#transactionobject">TransactionObject</a></td></tr><tr><td><code>pagination</code></td><td align="center">object</td><td>Returns a <a href="#paginationdataobject">PaginationDataObject</a></td></tr></tbody></table>

### TransactionObject

<table><thead><tr><th width="235.66666666666666">            Parameter</th><th width="179" align="center">Type</th><th>              Description</th></tr></thead><tbody><tr><td><code>address</code></td><td align="center">string</td><td>Destination address of the transaction</td></tr><tr><td><code>accountId</code></td><td align="center">string</td><td>accountId associated with credit/cash account.<br>It reflects the sender's accountId if transactionType is <code>INTERNAL_DEBIT</code>, and recipient's accountId if transactionType is <code>INTERNAL_CREDIT</code>.</td></tr><tr><td><code>accountRecipientId</code></td><td align="center">string</td><td>Transfer recipient's accountId when transactionType is <code>INTERNAL_DEBIT</code></td></tr><tr><td><code>accountSenderId</code></td><td align="center">string</td><td>Transfer sender's accountId when transactionType is <code>INTERNAL_CREDIT</code></td></tr><tr><td><code>adminApproval</code></td><td align="center">string</td><td>Status of transaction, view <a href="/pages/GgrimZxDxmC4ldt0DrhF#transactions">Transaction Statuses</a> for more information.</td></tr><tr><td><code>createdAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this record was created</td></tr><tr><td><code>dateSigned</code></td><td align="center">number</td><td>Time in epoch milliseconds </td></tr><tr><td><code>isAutopilotAddress</code></td><td align="center">bool</td><td>If this transaction is an autopilot</td></tr><tr><td><code>itemDateTime</code></td><td align="center">number</td><td>Date of transaction</td></tr><tr><td><code>networkType</code></td><td align="center">string</td><td><code>ETH</code>, <code>TRON</code> or <code>XLM</code> <br>For symbols that support multiple networks.<br><br><mark style="color:orange;">NOTE:</mark> only applicable to <strong>USDT</strong> and <strong>USDC</strong></td></tr><tr><td><code>originUser</code></td><td align="center">string</td><td>Accounts origin (parent) user</td></tr><tr><td><code>quantity</code></td><td align="center">number</td><td>Size of transaction</td></tr><tr><td><code>grossQuantity</code></td><td align="center">number</td><td>Gross size of transaction</td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency symbol</td></tr><tr><td><code>tag</code></td><td align="center">string</td><td>Tag set by user to differentiate transactions</td></tr><tr><td><code>transactionType</code></td><td align="center">string</td><td><p><code>WITHDRAW</code> | <code>DEPOSIT</code> | <code>INTERNAL_DEBIT</code> | <code>INTERNAL_CREDIT</code></p><p><br><mark style="color:orange;">Note:</mark> Each transfer transaction creates 2 transaction records. <code>INTERNAL_CREDIT</code> is used for the recipient's record and <code>INTERNAL_DEBIT</code> is used for the sender's record.</p></td></tr><tr><td><code>updatedAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this record was updated</td></tr><tr><td><code>txHash</code></td><td align="center">string</td><td>Transaction hash</td></tr><tr><td><code>txId</code></td><td align="center">string</td><td>Transaction ID</td></tr><tr><td><code>username</code></td><td align="center">string</td><td>Sub-user associated with transaction</td></tr></tbody></table>

### PaginationDataObject

<table><thead><tr><th width="276">            Parameter</th><th width="141.33333333333331" align="center">Type</th><th>               Description</th></tr></thead><tbody><tr><td><code>startsAfter</code></td><td align="center">string</td><td>Pagination token that can be used to query more data</td></tr><tr><td><code>limit</code></td><td align="center">number</td><td>Number of results shown</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/data-objects-and-statuses/transaction-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
